VismaBouwsoftAPICalls.v1_GET_OrderLines Method
v1_GET_OrderLines() as String

This API call is used to get fields of a(n) OrderLine(s)

HTTP method API version
GET v1

Don’t forget to put the Authorization field in the header

API Path: /OrderLines/
or
API Path: /OrderLines/{id}
or
API Path: /OrderLines/FieldInfo/

You can make this API call:
* without the key field id to get a list of OrderLines
* with the key field id as the path parameter (the specific id of the OrderLine you want to get)
* to request the FieldInfo for this call

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
orderid 1 tpLong 0 Yes No No
ordertype 2 tpString 50 No No No
ordernr 1 tpLong 0 No No No
order_address_id 1 tpLong 0 No No No
order_address_name 2 tpString 150 No No No
order_project_id 1 tpLong 0 No No No
order_project_pnr 1 tpLong 0 No No No
linenr 1 tpLong 0 No No No
linkedto_type 2 tpString 0 No Yes No
linkedto_type_localized 2 tpString 0 No No No
linkedto_source 1 tpLong 0 No No No
linkedto_id 1 tpLong 0 No Yes No
group 2 tpString 100 No Yes No
nr1 2 tpString 100 No Yes No
nr2 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
unit1 2 tpString 10 No Yes No
unit2 2 tpString 10 No Yes No
unit1_localized 2 tpString 10 No No No
unit2_localized 2 tpString 10 No No No
quantity1 4 tpDouble 0 No Yes No
quantity2 4 tpDouble 0 No Yes No
quantity3 4 tpDouble 0 No Yes No
quantity4 4 tpDouble 0 No Yes No
quantity_total 4 tpDouble 0 No No No
all_quantities_are_included_in_quantity_total 5 tpBool 0 No Yes No
price_unit 14 tpCurrencyHD 0 No Yes No
discount 4 tpDouble 0 No Yes No
price_total 14 tpCurrencyHD 0 No No No
vatcode 2 tpString 5 No Yes No
vatpercent 13 tpPercent 0 No Yes No
vatcocontractor 5 tpBool 0 No Yes No
ledger 1 tpLong 0 No Yes No
price_unit_afterdiscount 14 tpCurrencyHD 0 No No No
cost_products 14 tpCurrencyHD 0 No Yes No
margin_products 13 tpPercent 0 No Yes No
cost_hours 14 tpCurrencyHD 0 No Yes No
margin_hours 13 tpPercent 0 No Yes No
hours_unit 20 tpTimeDouble 0 No No No
hours_total 20 tpTimeDouble 0 No No No
cost_machines 14 tpCurrencyHD 0 No Yes No
margin_machines 13 tpPercent 0 No Yes No
cost_subcontractors 14 tpCurrencyHD 0 No Yes No
margin_subcontractors 13 tpPercent 0 No Yes No
margin_fixed 13 tpPercent 0 No Yes No
info_brand 2 tpString 150 No Yes No
info_type 2 tpString 0 No Yes No
planned_quantity 4 tpDouble 0 No Yes No
project_id 1 tpLong 0 No Yes No Projects
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
supplier_id 1 tpLong 0 No Yes No Addresses
supplier_nr 1 tpLong 0 No No No
supplier_name 2 tpString 150 No No No
include_line_in_total 5 tpBool 0 No Yes No
include_line_on_print 5 tpBool 0 No Yes No
start_on_new_page 5 tpBool 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No
order_decimals 1 tpLong 0 No No No
order_is_readonly 5 tpBool 0 No No No

/OrderLines/

API Path: /OrderLines/

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UrkfWxfGVOzSfDAfbfzRqGkbfAkVGfjVfAmbzmOkjbffUfjjfb

Query Parameters :
ParameterName: filter, ParameterValue: orderid eq 6423

Success gives statuscode 200 And the following result

https://ra.bouwsoft.be/api/v1/OrderLines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Query Parameters :
ParameterName: limit, ParameterValue: 5
ParameterName: sort, ParameterValue: id

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–4/57526”, “Records”: [
  {
    "id": 141,
    "orderid": 22,
    "ordertype": "OFFERTE",
    "ordernr": 20120002,
    "order_address_id": 24,
    "order_address_name": "Gasthof Lophem",
    "order_project_id": 3,
    "order_project_pnr": 20120003,
    "linenr": 1,
    "linkedto_type": "product",
    "linkedto_type_localized": "Article",
    "linkedto_source": 11,
    "linkedto_id": 7,
    "group": "Plaatsing parket dmv verlijming: European Oak: hall boven: Artikelen",
    "nr1": "249",
    "nr2": "",
    "description": "249 Express Elastische parketlijm",
    "unit1": "kg",
    "unit2": "",
    "unit1_localized": "kg",
    "unit2_localized": "",
    "quantity1": 380,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 80,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 1.02,
    "discount": 0,
    "price_total": 81.599999999999994,
    "vatcode": "6",
    "vatpercent": 6,
    "vatcocontractor": false,
    "ledger": 70000,
    "price_unit_afterdiscount": 1.02,
    "cost_products": 3.0,
    "margin_products": 20,
    "cost_hours": 0.0,
    "margin_hours": 10,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 3,
    "project_pnr": 20120003,
    "project_unr": 3,
    "project_name": "Project Parketvloeren 2016",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2022–04–28 12:40:30"
  },
  {
    "id": 142,
    "orderid": 22,
    "ordertype": "OFFERTE",
    "ordernr": 20120002,
    "order_address_id": 24,
    "order_address_name": "Gasthof Lophem",
    "order_project_id": 3,
    "order_project_pnr": 20120003,
    "linenr": 2,
    "linkedto_type": "product",
    "linkedto_type_localized": "Article",
    "linkedto_source": 11,
    "linkedto_id": 7,
    "group": "Plaatsing parket dmv verlijming: European Oak: hall boven: Artikelen",
    "nr1": "249",
    "nr2": "",
    "description": "249 Express Elastische parketlijm",
    "unit1": "kg",
    "unit2": "",
    "unit1_localized": "kg",
    "unit2_localized": "",
    "quantity1": 380,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 90,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 30.460000000000001,
    "discount": 0,
    "price_total": 2741.400000000000091,
    "vatcode": "6",
    "vatpercent": 6,
    "vatcocontractor": false,
    "ledger": 70000,
    "price_unit_afterdiscount": 30.460000000000001,
    "cost_products": 3.0,
    "margin_products": 20,
    "cost_hours": 0.0,
    "margin_hours": 10,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 3,
    "project_pnr": 20120003,
    "project_unr": 3,
    "project_name": "Project Parketvloeren 2016",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2022–04–28 12:40:30"
  }
,

]
}

/OrderLines/{id}

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines/142296

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 142296,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 2,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:59"
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderLines/141

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 141,
    "orderid": 22,
    "ordertype": "OFFERTE",
    "ordernr": 20120002,
    "order_address_id": 24,
    "order_address_name": "Gasthof Lophem",
    "order_project_id": 3,
    "order_project_pnr": 20120003,
    "linenr": 1,
    "linkedto_type": "product",
    "linkedto_type_localized": "Article",
    "linkedto_source": 11,
    "linkedto_id": 7,
    "group": "Plaatsing parket dmv verlijming: European Oak: hall boven: Artikelen",
    "nr1": "249",
    "nr2": "",
    "description": "249 Express Elastische parketlijm",
    "unit1": "kg",
    "unit2": "",
    "unit1_localized": "kg",
    "unit2_localized": "",
    "quantity1": 380,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 80,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 1.02,
    "discount": 0,
    "price_total": 81.599999999999994,
    "vatcode": "6",
    "vatpercent": 6,
    "vatcocontractor": false,
    "ledger": 70000,
    "price_unit_afterdiscount": 1.02,
    "cost_products": 3.0,
    "margin_products": 20,
    "cost_hours": 0.0,
    "margin_hours": 10,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 3,
    "project_pnr": 20120003,
    "project_unr": 3,
    "project_name": "Project Parketvloeren 2016",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2022–04–28 12:40:30"
  }
]
}

/OrderLines/FieldInfo

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines/FieldInfo

with the following parameters :

Header Parameters :
ParameterName: AccessToken, ParameterValue: UOIfWxffkAzSfrUjPtzRqUUbfkrkIOlljbPtzDDlVrfGjAmtfb
ParameterName: Clientnr, ParameterValue: 115

Success gives statuscode 200 And the following result

[
  {
    "name": "orderid",
    "type_id": 1,
    "type_name": "tpLong",
    "length": 0,
    "required": true,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  },
  {
    "name": "ordertype",
    "type_id": 2,
    "type_name": "tpString",
    "length": 50,
    "required": false,
    "writeable": false,
    "forcewrite": false,
    "link": ""
  }
,

]